﻿
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    /// <summary>
    /// 热点基础数据
    /// </summary>
    [SugarIndex("unique_hotspottype_name", nameof(HotSpotType.HotSpotName), OrderByType.Desc, true)]
    public class HotSpotType: CreationSoftDeleteEntity
    {
        public string HotSpotName { get; set; }
        [SugarColumn(IsNullable = true)]
        public string ParentId { get; set; }
        public string PYCode { get; set; }
        public string FullPYCode { get; set; }
        public string ProvinceCode { get; set; }
        public int OrderBy { get; set; }
        public string TrunkNum { get; set; }
        /// <summary>
        /// 生成的时候写入
        /// </summary>
        public string HotSpotFullName { get; set; }
    }
}
